#
# spec file for package python-mccabe
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mccabe
Version:        0.3
Release:        4.5
Summary:        McCabe checker, plugin for flake8
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/flintwork/mccabe
Source:         http://pypi.python.org/packages/source/m/mccabe/mccabe-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Ned's script to check McCabe complexity.
This module provides a plugin for flake8, the Python code checker.

%prep
%setup -q -n mccabe-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 0.3:
  * Computation was wrong: the mccabe complexity starts at 1, not 2
  * The max-complexity value is now inclusive. E.g.: if the value
    is 10 and the reported complexity is 10, then it passes
  * Add tests
- add the LICENSE to the package documentation
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Apr 23 2013 speilicke@suse.com
- Fix SLE_11_SP2 build
- Set license to MIT (SPDX mapping from Expat)
* Sun Apr 21 2013 dmueller@suse.com
- Initial package (0.2.1)
